From 41679631b992f4ba706674251ccaf03977610d1a Mon Sep 17 00:00:00 2001
From: Zhang Mingli <avamingli@gmail.com>
Date: Tue, 21 Mar 2023 00:21:18 +0800
Subject: [PATCH] Fix typo plgsql to plpgsql.

---
 src/pl/plpython/expected/plpython_ereport.out | 2 +-
 src/pl/plpython/sql/plpython_ereport.sql      | 2 +-
 src/test/modules/test_pg_dump/t/001_base.pl   | 6 +++---
 3 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/src/pl/plpython/expected/plpython_ereport.out b/src/pl/plpython/expected/plpython_ereport.out
index 74dcc419ce..0138d79d37 100644
--- a/src/pl/plpython/expected/plpython_ereport.out
+++ b/src/pl/plpython/expected/plpython_ereport.out
@@ -79,7 +79,7 @@ CONTEXT:  Traceback (most recent call last):
   PL/Python anonymous code block, line 1, in <module>
     plpy.info('first message', 'second message', message='third message') 
 PL/Python anonymous code block
--- raise exception in python, handle exception in plgsql
+-- raise exception in python, handle exception in plpgsql
 CREATE OR REPLACE FUNCTION raise_exception(_message text, _detail text DEFAULT NULL, _hint text DEFAULT NULL,
                                            _sqlstate text DEFAULT NULL,
                                            _schema_name text DEFAULT NULL,
diff --git a/src/pl/plpython/sql/plpython_ereport.sql b/src/pl/plpython/sql/plpython_ereport.sql
index d4f6223e59..13d6ce70be 100644
--- a/src/pl/plpython/sql/plpython_ereport.sql
+++ b/src/pl/plpython/sql/plpython_ereport.sql
@@ -40,7 +40,7 @@ DO $$ plpy.info('unsupported argument', blabla='fooboo') $$ LANGUAGE plpython3u;
 DO $$ plpy.info('first message', message='second message') $$ LANGUAGE plpython3u;
 DO $$ plpy.info('first message', 'second message', message='third message') $$ LANGUAGE plpython3u;
 
--- raise exception in python, handle exception in plgsql
+-- raise exception in python, handle exception in plpgsql
 CREATE OR REPLACE FUNCTION raise_exception(_message text, _detail text DEFAULT NULL, _hint text DEFAULT NULL,
                                            _sqlstate text DEFAULT NULL,
                                            _schema_name text DEFAULT NULL,
diff --git a/src/test/modules/test_pg_dump/t/001_base.pl b/src/test/modules/test_pg_dump/t/001_base.pl
index a74ea373bb..78e7677423 100644
--- a/src/test/modules/test_pg_dump/t/001_base.pl
+++ b/src/test/modules/test_pg_dump/t/001_base.pl
@@ -208,7 +208,7 @@ my %pgdump_runs = (
 		],
 	},
 
-	# plgsql in the list blocks the dump of extension test_pg_dump
+	# plpgsql in the list blocks the dump of extension test_pg_dump
 	without_extension => {
 		dump_cmd => [
 			'pg_dump', '--no-sync', "--file=$tempdir/without_extension.sql",
@@ -216,7 +216,7 @@ my %pgdump_runs = (
 		],
 	},
 
-	# plgsql in the list of extensions blocks the dump of extension
+	# plpgsql in the list of extensions blocks the dump of extension
 	# test_pg_dump.  "public" is the schema used by the extension
 	# test_pg_dump, but none of its objects should be dumped.
 	without_extension_explicit_schema => {
@@ -230,7 +230,7 @@ my %pgdump_runs = (
 		],
 	},
 
-	# plgsql in the list of extensions blocks the dump of extension
+	# plpgsql in the list of extensions blocks the dump of extension
 	# test_pg_dump, but not the dump of objects not dependent on the
 	# extension located on a schema maintained by the extension.
 	without_extension_internal_schema => {
-- 
2.34.1

